Skip to main content
GET
/
platform
/
webhooks
/
deliveries
/
{deliveryId}
Get platform webhook delivery details
curl --request GET \
  --url https://api.arkhq.io/v1/platform/webhooks/deliveries/{deliveryId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "webhookId": "<string>",
    "webhookName": "<string>",
    "tenantId": "<string>",
    "event": "<string>",
    "url": "<string>",
    "statusCode": 123,
    "success": true,
    "attempt": 123,
    "willRetry": true,
    "timestamp": "2023-11-07T05:31:56Z",
    "request": {
      "payload": {},
      "headers": {}
    },
    "response": {
      "body": "<string>",
      "duration": 123
    }
  },
  "meta": {
    "requestId": "req_V1StGXR8_Z5jdHi6"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

deliveryId
string
required

Delivery ID (UUID)

Response

Platform webhook delivery details

success
boolean
required
data
object
required
meta
object
required